# frozen_string_literal: true

lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'secrets_loader/version'

Gem::Specification.new do |spec|
  spec.name          = 'secrets_loader'
  spec.version       = SecretsLoader::VERSION
  spec.authors       = ['tzmfreedom']
  spec.email         = ['makoto_tajitsu@hotmail.co.jp']

  spec.summary       = 'AWS Secret Manager Loader on Rails'
  spec.description   = 'AWS Secret Manager Loader on Rails'
  spec.homepage      = 'https://github.com/tzmfreedom/secrets_loader'
  spec.license       = 'MIT'

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject {|f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) {|f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_runtime_dependency 'aws-sdk-secretsmanager'
  spec.add_runtime_dependency 'railties'
  spec.add_development_dependency 'bundler', '~> 1.16'
  spec.add_development_dependency 'onkcop'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0'
  spec.add_development_dependency 'rubocop'
end
